Eclipse Remote Application Platform

## org.eclipse.swt.accessibility
Class AccessibleTableEvent

    java.lang.Object
      SWTEventObject
          org.eclipse.swt.accessibility.AccessibleTableEvent

    public class AccessibleTableEvent

extends SWTEventObject

Instances of this class are sent as a result of accessibility clients sending AccessibleTable messages to an accessible object.

Since:
  1.4
See Also:
  `AccessibleTableListener`, `AccessibleTableAdapter`

Field Summary
`Accessible` `accessible`
`Accessible[]` `accessibles`
`int` `column`
`int` `count`
`boolean` `isSelected`
`java.lang.String` `result` The value of this field must be set in the accessible table listener method before returning.
`int` `row`
`int[]` `selected`

Constructor Summary
`AccessibleTableEvent(java.lang.Object source)` Constructs a new instance of this class.

Method Summary
`java.lang.String` `toString()` Returns a string containing a concise, human-readable description of the receiver.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### accessible

    public Accessible accessible

### accessibles

    public Accessible[] accessibles

### result

    public java.lang.String result

  The value of this field must be set in the accessible table listener method before returning. What to set it to depends on the listener method called.

### column

    public int column

### row

    public int row

### count

    public int count

### isSelected

    public boolean isSelected

### selected

    public int[] selected

Constructor Detail

### AccessibleTableEvent

    public AccessibleTableEvent(java.lang.Object source)

  Constructs a new instance of this class.

  Parameters:
    `source` - the object that fired the event

Method Detail

### toString

    public java.lang.String toString()

  Returns a string containing a concise, human-readable description of the receiver.

  Returns:
    a string representation of the event

Eclipse Remote Application Platform

Copyright (c) EclipseSource and others 2002, 2013. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0